diff -pruN 6.0.0-1/CMakeLists.txt 6.3.0-1/CMakeLists.txt
--- 6.0.0-1/CMakeLists.txt	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/CMakeLists.txt	2024-05-31 13:25:36.000000000 +0000
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.0.0")
+set(KF_VERSION "6.3.0")
 project(KHolidays VERSION ${KF_VERSION})
 
-find_package(ECM 6.0.0 REQUIRED NO_MODULE)
+find_package(ECM 6.3.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)
 
diff -pruN 6.0.0-1/autotests/testsunriseset.cpp 6.3.0-1/autotests/testsunriseset.cpp
--- 6.0.0-1/autotests/testsunriseset.cpp	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/autotests/testsunriseset.cpp	2024-05-31 13:25:36.000000000 +0000
@@ -168,7 +168,7 @@ static bool verifyPolarNightRange(QDate
 
 void SunriseTest::TestPolarDayNight()
 {
-    // polar circle (north): polar day from 6th June to 6st July, no polar night
+    // polar circle (north): polar day from 6th June to 6th July, no polar night
     QVERIFY(verifyPolarDayRange(QDate(2022, 1, 1), QDate(2022, 6, 5), 66.5, false));
     QVERIFY(verifyPolarDayRange(QDate(2022, 6, 6), QDate(2022, 7, 5), 66.5, true));
     QVERIFY(verifyPolarDayRange(QDate(2022, 7, 6), QDate(2022, 12, 31), 66.5, false));
diff -pruN 6.0.0-1/debian/changelog 6.3.0-1/debian/changelog
--- 6.0.0-1/debian/changelog	2024-03-30 10:59:40.000000000 +0000
+++ 6.3.0-1/debian/changelog	2024-06-09 12:52:43.000000000 +0000
@@ -1,3 +1,20 @@
+kf6-kholidays (6.3.0-1) experimental; urgency=medium
+
+  [ Aurélien COUDERC ]
+  * Add declarative dh-sequence-kf6 and dh-sequence-pkgkde-symbolshelper build
+    dependencies to use the kf6 and pkgkde-symbolshelper dh addons
+    automatically.
+  * Drop lintian overrides for the removal of the epoch, not needed anymore.
+
+  [ Patrick Franz ]
+  * New upstream release (6.3.0).
+  * Bump Standards-Version to 4.7.0 (No changes needed).
+  * Update build-deps and deps with the info from cmake.
+  * Modernize building by using dh-sequence build-dependencies and
+    dropping manually specified addons and buildsystems for dh.
+
+ -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:52:43 +0200
+
 kf6-kholidays (6.0.0-1) experimental; urgency=medium
 
   [ Patrick Franz ]
diff -pruN 6.0.0-1/debian/control 6.3.0-1/debian/control
--- 6.0.0-1/debian/control	2024-03-30 10:39:50.000000000 +0000
+++ 6.3.0-1/debian/control	2024-06-08 11:05:14.000000000 +0000
@@ -6,13 +6,14 @@ Uploaders: Aurélien COUDERC <coucouf@de
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.0.0~),
-               pkg-kde-tools (>= 0.17.0~),
+               extra-cmake-modules (>= 6.3.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kholidays
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kholidays
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kholidays.git
diff -pruN 6.0.0-1/debian/rules 6.3.0-1/debian/rules
--- 6.0.0-1/debian/rules	2024-03-16 23:46:52.000000000 +0000
+++ 6.3.0-1/debian/rules	2024-06-08 11:04:48.000000000 +0000
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 %:
-	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON
diff -pruN 6.0.0-1/debian/source/lintian-overrides 6.3.0-1/debian/source/lintian-overrides
--- 6.0.0-1/debian/source/lintian-overrides	2024-03-30 10:28:59.000000000 +0000
+++ 6.3.0-1/debian/source/lintian-overrides	2024-06-07 21:32:07.000000000 +0000
@@ -1,4 +1,5 @@
 # We do not care about the epoch from kf6-kholidays as this is a new source package and will be
-# co-installable with kholidays
-kf6-kholidays source: epoch-changed-but-upstream-version-did-not-go-backwards
-kf6-kholidays source: epoch-change-without-comment
+# co-installable with kholidays.
+# The 2 following lintian overrides were only needed for the first version of the kf6 package.
+#kf6-kholidays source: epoch-changed-but-upstream-version-did-not-go-backwards
+#kf6-kholidays source: epoch-change-without-comment
diff -pruN 6.0.0-1/debian/upstream/signing-key.asc 6.3.0-1/debian/upstream/signing-key.asc
--- 6.0.0-1/debian/upstream/signing-key.asc	2024-03-30 10:31:18.000000000 +0000
+++ 6.3.0-1/debian/upstream/signing-key.asc	2024-06-07 22:16:48.000000000 +0000
@@ -151,3 +151,24 @@ RUqSlBSJqC4WqZmkB73i16MljvT0+4v2upmud4JK
 oS4=
 =yOFv
 -----END PGP PUBLIC KEY BLOCK-----
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+
+mDMEZZxtxBYJKwYBBAHaRw8BAQdAm/8PHszWuXJwUEeEwowgbi7fIeUDP/r9X14f
+Azm23ay0JU5pY29sYXMgRmVsbGEgPG5pY29sYXMuZmVsbGFAa2RlLm9yZz6IkwQT
+FgoAOxYhBJCpaKyoRTfMJ7meryyN9Yem1KrBBQJlnG8zAhsDBQsJCAcCAiICBhUK
+CQgLAgQWAgMBAh4HAheAAAoJECyN9Yem1KrBeP4BAIKpXwECsL4VtZtg2h6uUCZg
+e6oALUd6LYH6+DAM2cGzAP9nRCB06lOnWPiz3PccQDeGPGTl4fJXM63rXIKvxI8n
+C7QkTmljb2xhcyBGZWxsYSA8bmljb2xhcy5mZWxsYUBnbXguZGU+iJMEExYKADsW
+IQSQqWisqEU3zCe5nq8sjfWHptSqwQUCZZxtxAIbAwULCQgHAgIiAgYVCgkICwIE
+FgIDAQIeBwIXgAAKCRAsjfWHptSqwb/cAQDdwi3Ujltdb58uFEN9Wxvv2a/PmJJr
+v76mHWmXqia0UwD/fpQfF7W6Iv6tEoqE2VQjMdboRqumV2m9lDyB3OPwtg+4MwRl
+nG3EFgkrBgEEAdpHDwEBB0ABCziM0Ive6TFO3hWrLxpYFCti3xUL7fLLdJqIJYHc
+O4h4BBgWCgAgFiEEkKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGyAACgkQLI31
+h6bUqsFXfQD9G8xNZ6QbfOeP/ARYPH7xUcc2U4/kPjoP8+R/MRnshPMBANDv6T3y
+BxoNXQRYK65x7ghXOSZcQyBLfVuSQshzf/oBuDgEZZxtxBIKKwYBBAGXVQEFAQEH
+QAOAXtH8j+F4XstbXodRsjUSLSQx3doS6cssY8XiZWZ5AwEIB4h4BBgWCgAgFiEE
+kKlorKhFN8wnuZ6vLI31h6bUqsEFAmWcbcQCGwwACgkQLI31h6bUqsFomwD/Zy41
+I8jssyuukIKsRefmsvFeeMKEJgFp0WuZQaZnKEIBANbtyBSxCOkD+5GYm1cjG6nr
+yPRSi/2EuYie6axT6ZIN
+=Noyp
+-----END PGP PUBLIC KEY BLOCK-----
diff -pruN 6.0.0-1/holidays/plan2/holiday_bd_en 6.3.0-1/holidays/plan2/holiday_bd_en
--- 6.0.0-1/holidays/plan2/holiday_bd_en	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_bd_en	2024-05-31 13:25:36.000000000 +0000
@@ -5,9 +5,9 @@
 ::
 :: Author:  Riyadul Islam Mollick <riyadul2000@yahoo.com>
 ::
-:: Updated:  2021-06-19
+:: Updated:  2024-04-10
 ::
-:: Source:          https://mopa.gov.bd/
+:: Source:  https://mopa.gov.bd/
 ::          https://www.bb.org.bd/mediaroom/holiday.php
 ::          https://en.wikipedia.org/wiki/Public_holidays_in_Bangladesh
 ::          https://www.drikpanchang.com/
@@ -15,148 +15,139 @@
 :: Metadata
 country     "BD"
 language    "en"
-:name        "optional - defaults to country name"
+:name       "optional - defaults to country name"
 description "Holiday file for Bangladesh"
 
 :: Public Holidays
-"International Mother Language Day"         public on february 21
+"International Mother Language Day"                                             public on february 21
 "Birthday of Father of the Nation Bangabandhu Sheikh Mujibur Rahman"            public on march 17
-"Independence Day"          public on march 26
-"May Day"           public on may 1
-"National Mourning Day"         public on august 15
-"Victory Day"           public on december 16
-
+"Independence Day"                                                              public on march 26
+"Bengali New Year's Day"                                                        public on april 14
+"May Day"                                                                       public on may 1
+"National Mourning Day"                                                         public on august 15
+"Victory Day"                                                                   public on december 16
 
 
 :: Religious
-
-"Hijri New Year"            religious school on hijri muharram 1
-"Ashura"            public religious on hijri muharram 10
-"Akhari Chahar Somba"           religious school on hijri yaumalarbia before rabialawal 1
-"Eid Milad un Nabi"         public religious on hijri rabialawal 12
-"Fateha-e-Yazdaham"         religious school on hijri rabialthaani 11
-"Shab-e-Meraj"          religious on hijri rajab 27
+"Hijri New Year"               religious school on hijri muharram 1
+"Ashura"                public religious on hijri muharram 10
+"Akhari Chahar Somba"          religious school on hijri yaumalarbia before rabialawal 1
+"Eid Milad un Nabi"     public religious on hijri rabialawal 12
+"Fateha-e-Yazdaham"            religious school on hijri rabialthaani 11
+"Shab-e-Meraj"                 religious on hijri rajab 27
 "Shab-e-Barat"          public religious on hijri shaban 14
-"Shab-e-Qadar"          religious on hijri ramadan 27
+"Shab-e-Qadar"          public religious on hijri ramadan 27
 "Jumatul Bidah"         public religious on hijri yaumaljumma before shawwal 1
 "Eid ul Fitr"           public religious on hijri shawwal 1 length 3 days
 "Eid ul Adha"           public religious on hijri thualhijjah 10 length 3 days
 
-
 "Saraswati Puja"            religious school on february 16 2021
 "Saraswati Puja"            religious school on february 5 2022
 "Saraswati Puja"            religious school on january 26 2023
 "Saraswati Puja"            religious school on february 14 2024
 "Saraswati Puja"            religious school on february 2 2025
-
-"Maha Shivratri"            public religious on march 11 2021
-"Maha Shivratri"            public religious on march 1 2022
-"Maha Shivratri"            public religious on march 18 2023
-"Maha Shivratri"            public religious on march 8 2024
-"Maha Shivratri"            public religious on february 26 2025
+"Saraswati Puja"            religious school on january 23 2026
+"Saraswati Puja"            religious school on february 11 2027
+"Saraswati Puja"            religious school on january 31 2028
+"Saraswati Puja"            religious school on january 19 2029
+"Saraswati Puja"            religious school on february 7 2030
 
 "Doljatra"          religious school on march 29 2021
 "Doljatra"          religious school on march 19 2022
 "Doljatra"          religious school on march 8 2023
 "Doljatra"          religious school on march 25 2024
-"Doljatra"          religious school on march 14 2025
-
-"Arrival Day of Sri Sri Harichand Tagore"           religious on april 9 2021
+"Doljatra"          religious school on march 13 2025
+"Doljatra"          religious school on march 3 2026
+"Doljatra"          religious school on march 22 2027
+"Doljatra"          religious school on march 11 2028
+"Doljatra"          religious school on february 28 2029
+"Doljatra"          religious school on march 19 2030
+
+"Arrival Day of Sri Sri Harichand Tagore"           religious school on april 9 2021
+"Arrival Day of Sri Sri Harichand Tagore"           religious school on march 30 2022
+"Arrival Day of Sri Sri Harichand Tagore"           religious school on march 19 2023
+"Arrival Day of Sri Sri Harichand Tagore"           religious school on april 6 2024
 
 "Mahalaya"          religious on october 6 2021
 "Mahalaya"          religious on september 25 2022
 "Mahalaya"          religious on october 14 2023
 "Mahalaya"          religious on october 2 2024
 "Mahalaya"          religious on september 21 2025
+"Mahalaya"          religious on october 10 2026
+"Mahalaya"          religious on september 29 2027
+"Mahalaya"          religious on september 18 2028
+"Mahalaya"          religious on october 7 2029
+"Mahalaya"          religious on september 27 2030
 
 "Lakshmi Puja"          religious school on october 20 2021
 "Lakshmi Puja"          religious school on october 10 2022
 "Lakshmi Puja"          religious school on october 29 2023
 "Lakshmi Puja"          religious school on october 16 2024
-"Lakshmi Puja"          religious school on october 7 2025
-
-"Kali Puja"         religious school on november 4 2021
-"Kali Puja"         religious school on october 24 2022
-"Kali Puja"         religious school on november 12 2023
-"Kali Puja"         religious school on october 31 2024
-"Kali Puja"         religious school on october 20 2025
+"Lakshmi Puja"          religious school on october 6 2025
+"Lakshmi Puja"          religious school on october 25 2026
+"Lakshmi Puja"          religious school on october 29 2027
+"Lakshmi Puja"          religious school on october 17 2028
+"Lakshmi Puja"          religious school on november 5 2029
+"Lakshmi Puja"          religious school on october 26 2030
+
+"Shyama Puja"         religious school on november 4 2021
+"Shyama Puja"         religious school on october 24 2022
+"Shyama Puja"         religious school on november 12 2023
+"Shyama Puja"         religious school on october 31 2024
+"Shyama Puja"         religious school on october 20 2025
+"Shyama Puja"         religious school on november 8 2026
+"Shyama Puja"         religious school on october 28 2027
+"Shyama Puja"         religious school on october 17 2028
+"Shyama Puja"         religious school on november 5 2029
+"Shyama Puja"         religious school on october 26 2030
 
 "Janmashtami"           public religious on august 30 2021
 "Janmashtami"           public religious on august 19 2022
 "Janmashtami"           public religious on september 7 2023
 "Janmashtami"           public religious on august 26 2024
 "Janmashtami"           public religious on august 16 2025
-
-"Durga Puja - Shashthi"         religious on october 11 2021
-"Durga Puja - Shashthi"         religious on october 1 2022
-"Durga Puja - Shashthi"         religious on october 20 2023
-"Durga Puja - Shashthi"         religious on october 9 2024
-"Durga Puja - Shashthi"         religious on september 28 2025
-
-"Durga Puja - Saptami"          religious on october 12 2021
-"Durga Puja - Saptami"          religious on october 2 2022
-"Durga Puja - Saptami"          religious on october 21 2023
-"Durga Puja - Saptami"          religious on october 10 2024
-"Durga Puja - Saptami"          religious on september 29 2025
-
-"Durga Puja - Ashtami"          religious on october 13 2021
-"Durga Puja - Ashtami"          religious on october 3 2022
-"Durga Puja - Ashtami"          religious on october 22 2023
-"Durga Puja - Ashtami"          religious on october 11 2024
-"Durga Puja - Ashtami"          religious on september 30 2025
-
-"Durga Puja - Nabami"           religious on october 14 2021
-"Durga Puja - Nabami"           religious on october 4 2022
-"Durga Puja - Nabami"           religious on october 23 2023
-"Durga Puja - Nabami"           religious on october 12 2024
-"Durga Puja - Nabami"           religious on october 1 2025
+"Janmashtami"           public religious on september 4 2026
+"Janmashtami"           public religious on august 19 2027
+"Janmashtami"           public religious on august 14 2028
+"Janmashtami"           public religious on september 1 2029
+"Janmashtami"           public religious on august 21 2030
 
 "Durga Puja - Dashami"          public religious on october 15 2021
 "Durga Puja - Dashami"          public religious on october 5 2022
 "Durga Puja - Dashami"          public religious on october 24 2023
 "Durga Puja - Dashami"          public religious on october 13 2024
 "Durga Puja - Dashami"          public religious on october 2 2025
+"Durga Puja - Dashami"          public religious on october 21 2026
+"Durga Puja - Dashami"          public religious on october 10 2027
+"Durga Puja - Dashami"          public religious on october 28 2028
+"Durga Puja - Dashami"          public religious on october 16 2029
+"Durga Puja - Dashami"          public religious on october 6 2030
 
 "Happy New Year"            religious on january 1
-"Ash Wednesday"         religious on easter minus 46 days
-"Maundy Thursday"           religious on easter minus 3 days
-"Good Friday"           religious on easter minus 2 days
-"Holy Saturday"         religious on easter minus 1 days
 "Easter Sunday"         public religious on easter length 1 day
 "Christmas"         public religious on december 25
 
-
-"Maghi Purnima"         religious on january 28 2021
-"Maghi Purnima"         religious on january 17 2022
-"Maghi Purnima"         religious on january 6 2023
-"Maghi Purnima"         religious on january 25 2024
-"Maghi Purnima"         religious on january 13 2025
-
-"Chaitra Sankranti"         religious on indiannational chaitra 30
+"Maghi Purnima"         religious school on february 27 2021
+"Maghi Purnima"         religious school on february 16 2022
+"Maghi Purnima"         religious school on february 5 2023
+"Maghi Purnima"         religious school on february 24 2024
+"Maghi Purnima"         religious school on february 12 2025
+"Maghi Purnima"         religious school on february 1 2026
+"Maghi Purnima"         religious school on february 20 2027
+"Maghi Purnima"         religious school on february 10 2028
+"Maghi Purnima"         religious school on january 30 2029
+"Maghi Purnima"         religious school on february 18 2030
 
 "Buddha Purnima"            public religious on may 26 2021
 "Buddha Purnima"            public religious on may 16 2022
 "Buddha Purnima"            public religious on may 5 2023
 "Buddha Purnima"            public religious on may 23 2024
 "Buddha Purnima"            public religious on may 12 2025
-
-"Ashari Purnima"            religious on july 23 2021
-"Ashari Purnima"            religious on july 13 2022
-"Ashari Purnima"            religious on july 3 2023
-"Ashari Purnima"            religious on july 21 2024
-"Ashari Purnima"            religious on july 10 2025
-
-"Madhu Purnima"         religious on september 20 2021
-"Madhu Purnima"         religious on september 10 2022
-"Madhu Purnima"         religious on september 29 2023
-"Madhu Purnima"         religious on september 17 2024
-"Madhu Purnima"         religious on september 7 2025
-
-"Probarona Purnima"         religious on october 20 2021
-"Probarona Purnima"         religious on october 9 2022
-"Probarona Purnima"         religious on october 28 2023
-"Probarona Purnima"         religious on october 17 2024
-"Probarona Purnima"         religious on october 6 2025
+"Buddha Purnima"            public religious on may 1 2026
+"Buddha Purnima"            public religious on may 20 2027
+"Buddha Purnima"            public religious on may 8 2028
+"Buddha Purnima"            public religious on may 27 2029
+"Buddha Purnima"            public religious on may 17 2030
 
 
 :: Financial
@@ -164,16 +155,14 @@ description "Holiday file for Bangladesh
 "Bank Holiday"          financial on december 31
 
 :: Cultural
-"Bangla New Year"           public cultural on indiannational vaishakh 1
-"Nabanna"           cultural on indiannational agrahayana 1
-"Shakrain Festival"         cultural on indiannational paush 30
-"Pahela Falgun"         cultural on indiannational phalgun 1
-"Boishabi"          cultural on indiannational chaitra 29 length 3
+"Pahela Falgun"         cultural on february 14
+"Nabanna"               cultural on november 16
+"Shakrain"              cultural on january 14 length 2 days
 
 :: Historical Dates
-"Genocide Remembrance Day"          commemorative on march 25
-"Martyred Intellectuals Day"            commemorative school on december 14
-"Armed Forces Day"          commemorative on november 21
+"Genocide Remembrance Day"    commemorative on march 25
+"Martyred Intellectuals Day"  commemorative school on december 14
+"Armed Forces Day"            commemorative on november 21
 
 :: Seasonal
 
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-bb_de 6.3.0-1/holidays/plan2/holiday_de-bb_de
--- 6.0.0-1/holidays/plan2/holiday_de-bb_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-bb_de	2024-05-31 13:25:36.000000000 +0000
@@ -4,8 +4,9 @@
 :: Language: German
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
+::		   Marijo Mustač <mustacmarijo@googlemail.com>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -20,6 +21,8 @@ description "Feiertage für Deutschland
 
 :: ---------- This part is specific for Brandenburg ----------
 
+"Ostersonntag"    public on easter
+"Pfingstsonntag"  public on easter plus 49 days
 "Reformationstag" public on 31.10.
 
 :: ---------- This part is shared across all Federal States of Germany ----------
@@ -30,7 +33,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-be_de 6.3.0-1/holidays/plan2/holiday_de-be_de
--- 6.0.0-1/holidays/plan2/holiday_de-be_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-be_de	2024-05-31 13:25:36.000000000 +0000
@@ -4,7 +4,10 @@
 :: Language: German
 ::
 :: Author: Volker Krause <vkrause@kde.org>
-:: based on holidays_de-be_de by Tobias Leupold <tobias.leupold@gmx.de>
+::         based on holidays_de-be_de by Tobias Leupold <tobias.leupold@gmx.de>
+::         Marijo Mustač <mustacmarijo@googlemail.com>
+::
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -30,7 +33,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-bw_de 6.3.0-1/holidays/plan2/holiday_de-bw_de
--- 6.0.0-1/holidays/plan2/holiday_de-bw_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-bw_de	2024-05-31 13:25:36.000000000 +0000
@@ -5,7 +5,7 @@
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -33,7 +33,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-by_de 6.3.0-1/holidays/plan2/holiday_de-by_de
--- 6.0.0-1/holidays/plan2/holiday_de-by_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-by_de	2024-05-31 13:25:36.000000000 +0000
@@ -5,7 +5,7 @@
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -35,7 +35,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-he_de 6.3.0-1/holidays/plan2/holiday_de-he_de
--- 6.0.0-1/holidays/plan2/holiday_de-he_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-he_de	2024-05-31 13:25:36.000000000 +0000
@@ -5,7 +5,7 @@
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -31,7 +31,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-mv_de 6.3.0-1/holidays/plan2/holiday_de-mv_de
--- 6.0.0-1/holidays/plan2/holiday_de-mv_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-mv_de	2024-05-31 13:25:36.000000000 +0000
@@ -4,8 +4,9 @@
 :: Language: German
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
+::		   Marijo Mustač <mustacmarijo@googlemail.com>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -20,6 +21,7 @@ description "Feiertage für Deutschland
 
 :: ---------- This part is specific for Mecklenburg-Hither Pomerania ----------
 
+"Internationaler Frauentag" public on ((year >= 2023) ? [march 8] : noop)
 "Reformationstag" public on 31.10.
 
 :: ---------- This part is shared across all Federal States of Germany ----------
@@ -30,7 +32,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-ni_de 6.3.0-1/holidays/plan2/holiday_de-ni_de
--- 6.0.0-1/holidays/plan2/holiday_de-ni_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-ni_de	2024-05-31 13:25:36.000000000 +0000
@@ -3,11 +3,10 @@
 ::
 :: Language: German
 ::
-:: Author:
-::		Tobias Leupold <tobias.leupold@gmx.de>
-::		Marijo Mustac <mustacmarijo@hotmail.de>
+:: Author: Tobias Leupold <tobias.leupold@gmx.de>
+::		   Marijo Mustač <mustacmarijo@googlemail.com>
 ::
-:: Updated: 2019-04-15
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.mi.niedersachsen.de/themen/allgemeine_angelegenheiten_inneren/feiertagsrecht/feiertagsgesetz-61491.html
@@ -32,7 +31,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-nw_de 6.3.0-1/holidays/plan2/holiday_de-nw_de
--- 6.0.0-1/holidays/plan2/holiday_de-nw_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-nw_de	2024-05-31 13:25:36.000000000 +0000
@@ -5,7 +5,7 @@
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -31,7 +31,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-rp_de 6.3.0-1/holidays/plan2/holiday_de-rp_de
--- 6.0.0-1/holidays/plan2/holiday_de-rp_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-rp_de	2024-05-31 13:25:36.000000000 +0000
@@ -5,7 +5,7 @@
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -31,7 +31,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-sh_de 6.3.0-1/holidays/plan2/holiday_de-sh_de
--- 6.0.0-1/holidays/plan2/holiday_de-sh_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-sh_de	2024-05-31 13:25:36.000000000 +0000
@@ -5,7 +5,7 @@
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -30,7 +30,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-sl_de 6.3.0-1/holidays/plan2/holiday_de-sl_de
--- 6.0.0-1/holidays/plan2/holiday_de-sl_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-sl_de	2024-05-31 13:25:36.000000000 +0000
@@ -5,7 +5,7 @@
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -32,7 +32,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-sn_de 6.3.0-1/holidays/plan2/holiday_de-sn_de
--- 6.0.0-1/holidays/plan2/holiday_de-sn_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-sn_de	2024-05-31 13:25:36.000000000 +0000
@@ -5,7 +5,7 @@
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -32,7 +32,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-st_de 6.3.0-1/holidays/plan2/holiday_de-st_de
--- 6.0.0-1/holidays/plan2/holiday_de-st_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-st_de	2024-05-31 13:25:36.000000000 +0000
@@ -5,7 +5,7 @@
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -31,7 +31,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de-th_de 6.3.0-1/holidays/plan2/holiday_de-th_de
--- 6.0.0-1/holidays/plan2/holiday_de-th_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de-th_de	2024-05-31 13:25:36.000000000 +0000
@@ -4,8 +4,9 @@
 :: Language: German
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
+::		   Marijo Mustač <mustacmarijo@googlemail.com>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -21,6 +22,7 @@ description "Feiertage für Deutschland
 :: ---------- This part is specific for Thuringia ----------
 
 "Fronleichnam (regional)" public on easter plus 60 days
+"Weltkindertag"           public on ((year >= 2019) ? [september 20] : noop)
 "Reformationstag"         public on 31.10.
 
 :: ---------- This part is shared across all Federal States of Germany ----------
@@ -31,7 +33,7 @@ description "Feiertage für Deutschland
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_de_de 6.3.0-1/holidays/plan2/holiday_de_de
--- 6.0.0-1/holidays/plan2/holiday_de_de	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_de_de	2024-05-31 13:25:36.000000000 +0000
@@ -5,7 +5,7 @@
 ::
 :: Author: Tobias Leupold <tobias.leupold@gmx.de>
 ::
-:: Updated: 2018-03-25
+:: Updated: 2024-03-11
 ::
 :: Source:
 ::     https://www.bmi.bund.de/DE/themen/verfassung/staatliche-symbole/nationale-feiertage/nationale-feiertage-artikel.html
@@ -26,7 +26,7 @@ description "Feiertage für Deutschland"
 "Ostermontag"               public on easter plus 1 days
 "Christi Himmelfahrt"       public on easter plus 39 days
 "Pfingstmontag"             public on easter plus 50 days
-"1. Mai"                    public on 1.5.
+"Tag der Arbeit"            public on 1.5.
 "Tag der Deutschen Einheit" public on 3.10.
 "1. Weihnachtsfeiertag"     public on 25.12.
 "2. Weihnachtsfeiertag"     public on 26.12.
diff -pruN 6.0.0-1/holidays/plan2/holiday_lv_lv 6.3.0-1/holidays/plan2/holiday_lv_lv
--- 6.0.0-1/holidays/plan2/holiday_lv_lv	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_lv_lv	2024-05-31 13:25:36.000000000 +0000
@@ -5,11 +5,12 @@
 ::
 :: Author:   John Layt <john@layt.net>
 ::
-:: Updated:  2019-04-30
+:: Updated:  2024-05-03
 ::
 :: Source:   http://www.li.lv/index.php?Itemid=420&id=18&option=com_content&task=view
 ::           http://en.wikipedia.org/wiki/Public_holidays_in_Latvia
 ::           http://www.likumi.lv/doc.php?id=72608
+::           https://kalendārs.lv
 ::
 
 :: Metadata
@@ -20,13 +21,13 @@ language    "lv"
 
 :: Public Holidays
 : New Year's Day
-"Jaunais Gads"                                                      public on january 1
+"Jaungada diena"                                                    public on january 1
 : Easter Friday
 "Lielā Piektdiena"                                                  public religious on easter minus 2 days
 : Easter
 "Lieldienas"                                                        public religious on easter
 : Easter Monday
-"2. Lieldienas"                                                     public on easter plus 1 days
+"Otrās Lieldienas"                                                  public on easter plus 1 days
 : Labour Day & Convocation of the Constitutional Assembly
 "Darba svētki"                                                      public on may 1
 : Independence Day
@@ -50,66 +51,66 @@ language    "lv"
 : Christmas Day
 "Ziemassvētki"                                                      public religious on december 25
 : Christmas Day No 2
-"2. Ziemassvētki"                                                   public on december 26
+"Otrie Ziemassvētki"                                                public on december 26
 : New Year's Eve
 "Vecgada vakars"                                                    public on december 31
 
 :: Religious Holidays
-"Vasarsvētkus"                                                      religious on easter plus 49 days
+"Vasarsvētki"                                                       religious on easter plus 49 days
 
 :: Financial
 
 :: Commemorative
 : Commemoration Day of Defenders of the Barricades in 1991
-"1991. gada barikāžu aizstāvju atceres dienu"                       commemorative on january 20
+"1991. gada barikāžu aizstāvju atceres diena"                       commemorative on january 20
 : International (de iure) Recognition of the Republic of Latvia
-"Latvijas Republikas starptautiskās (de jure) atzīšanas dienu"      commemorative on january 26
+"Latvijas Republikas starptautiskās (de jure) atzīšanas diena"      commemorative on january 26
 : Commemoration Day of Victims of Communist Terror
-"Komunistiskā genocīda upuru piemiņas dienu"                        commemorative on march 25
+"Komunistiskā genocīda upuru piemiņas diena"                        commemorative on march 25
 : The Defeat of Nazism and Commemoration Day of Victims of World War II
-"Nacisma sagrāves dienu un Otrā pasaules kara upuru piemiņas dienu" commemorative on may 8
+"Nacisma sagrāves diena un Otrā pasaules kara upuru piemiņas diena" commemorative on may 8
 : Commemoration Day of Victims of Communist Terror
-"Komunistiskā genocīda upuru piemiņas dienu"                        commemorative on june 14
+"Komunistiskā genocīda upuru piemiņas diena"                        commemorative on june 14
 : Occupation of the Republic of Latvia
-"Latvijas Republikas okupācijas dienu"                              commemorative on june 17
+"Latvijas Republikas okupācijas diena"                              commemorative on june 17
 : Heroes' Commemoration Day (Anniversary of the Battle of Cēsis)
-"Varoņu piemiņas dienu (Cēsu kaujas atceres dienu)"                 commemorative on june 22
+"Varoņu piemiņas diena (Cēsu kaujas atceres diena)"                 commemorative on june 22
 : Commemoration Day of Genocide against the Jews
-"Ebreju tautas genocīda upuru piemiņas dienu"                       commemorative on july 4
+"Ebreju tautas genocīda upuru piemiņas diena"                       commemorative on july 4
 : Commemoration Day of The Latvian Freedom Fighters
-"Latvijas brīvības cīnītāju piemiņas dienu"                         commemorative on august 11
+"Latvijas brīvības cīnītāju piemiņas diena"                         commemorative on august 11
 : Passing of the Constitutional Law on the Status of the Republic of Latvia as a State and Actual Restoration of the Republic of Latvia
-"Konstitucionālā likuma 'Par Latvijas Republikas valstisko statusu' pieņemšanas un Latvijas Republikas faktiskās neatkarības atjaunošanas dienu"    commemorative on august 21
+"Konstitucionālā likuma 'Par Latvijas Republikas valstisko statusu' pieņemšanas un Latvijas Republikas faktiskās neatkarības atjaunošanas diena"    commemorative on august 21
 : Stalinist and Nazi Victims Memorial Day
-"Staļinisma un Nacisma upuru atceres dienu"                         commemorative on august 23
+"Staļinisma un Nacisma upuru atceres diena"                         commemorative on august 23
 : Latvian Freedom Fighters' Remembrance Day - Lāčplēsis Day
-"Lāčplēša dienu"                                                    commemorative on november 11
+"Lāčplēša diena"                                                    commemorative on november 11
 : Commemoration Day of Victims of Genocide Against the Latvian People by the Totalitarian Communist Regime.
-"Pret latviešu tautu vērstā totalitārā komunistiskā režīma genocīda upuru piemiņas dienu"   commemorative on 1st sunday in december
+"Pret latviešu tautu vērstā totalitārā komunistiskā režīma genocīda upuru piemiņas diena"   commemorative on 1st sunday in december
 
 :: Cultural
 : International Women’s Day
-"Starptautisko sieviešu dienu"                                      cultural on march 8
+"Starptautiskā sieviešu diena"                                      cultural on march 8
 : Europe Day
-"Eiropas dienu"                                                     cultural on may 9
+"Eiropas diena"                                                     cultural on may 9
 : Mothers Day
-"Mātes dienu"                                                       cultural on second sunday in may
+"Mātes diena"                                                       cultural on second sunday in may
 : International Day of The Family
-"Starptautisko ģimenes dienu"                                       cultural on may 15
+"Starptautiskā ģimenes diena"                                       cultural on may 15
 : International Children’s Day
-"Starptautisko bērnu aizsardzības dienu"                            cultural on june 1
+"Starptautiskā bērnu aizsardzības diena"                            cultural on june 1
 : Sea Festival Day
-"Jūras svētku dienu"                                                cultural on 2nd saturday in july
+"Jūras svētku diena"                                                cultural on 2nd saturday in july
 : Knowledge Day (First Day of School)
-"Zinību dienu"                                                      cultural on september 1
+"Zinību diena"                                                      cultural on september 1
 : Father's Day
-"Tēva dienu"                                                        cultural on second sunday in september
+"Tēvu diena"                                                        cultural on second sunday in september
 : Baltic Unity Day
-"Baltu vienības dienu"                                              cultural on september 22
+"Baltu vienības diena"                                              cultural on september 22
 : International Day of Older Persons
-"Starptautisko veco ļaužu dienu"                                    cultural on october 1
+"Starptautiskā veco ļaužu diena"                                    cultural on october 1
 : Teacher’s Day
-"Skolotāju dienu"                                                   cultural on 1st sunday in october
+"Skolotāju diena"                                                   cultural on 1st sunday in october
 
 :: School
 
diff -pruN 6.0.0-1/holidays/plan2/holiday_sg_en-gb 6.3.0-1/holidays/plan2/holiday_sg_en-gb
--- 6.0.0-1/holidays/plan2/holiday_sg_en-gb	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/holidays/plan2/holiday_sg_en-gb	2024-05-31 13:25:36.000000000 +0000
@@ -4,12 +4,18 @@
 :: Language: UK English
 ::
 :: Author:   M. Keller <keller1976@gmail.com>
+:: Author:   Will Ng <wng048@e.ntu.edu.sg>
 ::
 :: Updated:  2012-09-17
+:: Updated:  2024-03-12
 ::
 :: Source:   http://www.mom.gov.sg/employment-practices/employment-rights-conditions/leave-and-holiday/Pages/PublicHolidays2012.aspx
 ::           http://www.mom.gov.sg/employment-practices/employment-rights-conditions/leave-and-holiday/pages/publicholidays2013.aspx
 ::           http://www.officeholidays.com/countries/singapore/2014.html     
+::           https://www.mom.gov.sg/employment-practices/public-holidays#Year-2024
+::           https://www.moe.gov.sg/news/press-releases/20230807-school-terms-and-holidays-for-2024
+::           https://publicholidays.sg/2025-dates/ (estimated)
+::           https://publicholidays.sg/2026-dates/ (estimated)
 
 :: Metadata
 country     "SG"
@@ -19,37 +25,67 @@ description "National holiday file for S
 
 :: Public Holidays
 "New Year's Day"                 public on january 1
+
 "Chinese New Year"               public on january 23 2012 length 2 days
 "Chinese New Year"               public on february 10 2013 length 2 days
 "Chinese New Year"               public on january 31 2014 length 2 days
+"Chinese New Year"               public on february 10 2024 length 2 days
+"Chinese New Year"               public on january 29 2025 length 2 days
+"Chinese New Year"               public on february 17 2026 length 2 days
+
 "Good Friday"                    public religious on easter minus 2
+
 "Labour Day"                     public on may 1
+
 "Vesak Day"                      public on may 5 2012
 "Vesak Day"                      public on may 24 2013
 "Vesak Day"                      public on may 13 2014
+"Vesak Day"                      public religious on may 22 2024
+"Vesak Day"                      public religious on may 12 2025
+"Vesak Day"                      public religious on may 31 2026 length 2 days
+
 "National Day"                   public on august 9
+"National Day (off-day)"         public on august 10 2026
+
 "Hari Raya Puasa"                public on august 19 2012
 "Hari Raya Puasa"                public on august 8 2013
 "Hari Raya Puasa"                public on july 28 2014
+"Hari Raya Puasa"                public religious on april 10 2024
+"Hari Raya Puasa (est)"          public religious on hijri shawwal 1
+
 "Hari Raya Haji"                 public on october 26 2012
 "Hari Raya Haji"                 public on october 15 2013
 "Hari Raya Haji"                 public on october 4 2014
+"Hari Raya Haji"                 public religious on june 17 2024
+"Hari Raya Haji (est)"           public religious on hijri thualhijjah 10
+
+
 "Deepavali"                      public on november 13 2012
 "Deepavali"                      public on november 3 2013
 "Deepavali"                      public on october 23 2014
+"Deepavali"                      public religious on october 31 2024
+"Deepavali (est)"                public religious on october 20 2025
+"Deepavali (est)"                public religious on november 8 2026 length 2 days
+
 "Christmas Day"                  public religious on december 25
 
 :: Religious Holidays
+"Ramadan start"                  religious on hijri ramadan 1
 
 :: Financial
 
 :: Cultural
 
 :: School
+"Youth Day"                      school on june 30 2024 length 2 days
+"Teachers' Day"                  school on august 30 2024
+"Children's Day"                 school on october 4 2024
+
 
 :: Daylight Saving
 
 :: Seasons
 
 :: Name Days
+"SAF Day"                        nameday on july 1
 
diff -pruN 6.0.0-1/metainfo.yaml 6.3.0-1/metainfo.yaml
--- 6.0.0-1/metainfo.yaml	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/metainfo.yaml	2024-05-31 13:25:36.000000000 +0000
@@ -1,4 +1,3 @@
-maintainer: winterz
 description: Holiday calculation library
 tier: 1
 type: functional
diff -pruN 6.0.0-1/poqm/ar/libkholidays6_qt.po 6.3.0-1/poqm/ar/libkholidays6_qt.po
--- 6.0.0-1/poqm/ar/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ar/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -348,42 +348,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "مجهول"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "محاق"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "بدر"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "تربيع أول"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "تربيع ثانٍ"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "‏هلال متزايد‎‏"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "‏أحدب متزايد‎‏"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "‏أحدب متناقص‎‏"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "‏هلال متناقص‎‏"
diff -pruN 6.0.0-1/poqm/ast/libkholidays6_qt.po 6.3.0-1/poqm/ast/libkholidays6_qt.po
--- 6.0.0-1/poqm/ast/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ast/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -340,42 +340,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr ""
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr ""
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/az/libkholidays6_qt.po 6.3.0-1/poqm/az/libkholidays6_qt.po
--- 6.0.0-1/poqm/az/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/az/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -340,42 +340,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Naməlum"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Təzə Ay"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Bədirlənmiş Ay"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Ayın birinci rübü"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Ayın sonuncu rübü"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Təzə ay"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Böyüyən ay"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Kiçilən ay"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Kiçilən ay"
diff -pruN 6.0.0-1/poqm/be/libkholidays6_qt.po 6.3.0-1/poqm/be/libkholidays6_qt.po
--- 6.0.0-1/poqm/be/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/be/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -350,42 +350,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Невядома"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Маладзік"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Поўня"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Першая чвэрць"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Апошняя чвэрць"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Рост сярпа"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Рост гарба"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Убыванне гарба"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Убыванне сярпа"
diff -pruN 6.0.0-1/poqm/bg/libkholidays6_qt.po 6.3.0-1/poqm/bg/libkholidays6_qt.po
--- 6.0.0-1/poqm/bg/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/bg/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -346,42 +346,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Неизвестно"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Новолуние"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Пълнолуние"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Луна от първа четвърт"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Луна от последната четвърт"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Изгряващ полумесец"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Растяща луна"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Намаляваща луна"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Залязващ полумесец"
diff -pruN 6.0.0-1/poqm/br/libkholidays6_qt.po 6.3.0-1/poqm/br/libkholidays6_qt.po
--- 6.0.0-1/poqm/br/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/br/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -360,50 +360,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Loar nevez"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Kann-loar"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Loargresk al loar"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Diskarloar al loar"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/bs/libkholidays6_qt.po 6.3.0-1/poqm/bs/libkholidays6_qt.po
--- 6.0.0-1/poqm/bs/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/bs/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -479,50 +479,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Nepoznat"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nov Mijesec"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Pun Mijesec"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Prva četvrtina Mijeseca"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Zadnja četvrtina Mijeseca"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/ca/libkholidays6_qt.po 6.3.0-1/poqm/ca/libkholidays6_qt.po
--- 6.0.0-1/poqm/ca/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ca/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -352,42 +352,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Desconegut"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Lluna nova"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Lluna plena"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Lluna en quart creixent"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Lluna en quart minvant"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Quart creixent"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Gibosa creixent"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Gibosa minvant"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Quart minvant"
diff -pruN 6.0.0-1/poqm/ca@valencia/libkholidays6_qt.po 6.3.0-1/poqm/ca@valencia/libkholidays6_qt.po
--- 6.0.0-1/poqm/ca@valencia/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ca@valencia/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -352,42 +352,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Desconegut"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Lluna nova"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Lluna plena"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Lluna en quart creixent"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Lluna en quart minvant"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Quart creixent"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Gibosa creixent"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Gibosa minvant"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Quart minvant"
diff -pruN 6.0.0-1/poqm/cs/libkholidays6_qt.po 6.3.0-1/poqm/cs/libkholidays6_qt.po
--- 6.0.0-1/poqm/cs/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/cs/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -348,42 +348,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Neznámý"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nov"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Úplněk"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Měsíc v první čtvrti"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Měsíc v poslední čtvrti"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Dorůstající srpek"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Dorůstající Měsíc"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Couvající Měsíc"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Couvající srpek"
diff -pruN 6.0.0-1/poqm/cy/libkholidays6_qt.po 6.3.0-1/poqm/cy/libkholidays6_qt.po
--- 6.0.0-1/poqm/cy/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/cy/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -340,46 +340,46 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Lleuad Newydd"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Lleuad Lawn"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/da/libkholidays6_qt.po 6.3.0-1/poqm/da/libkholidays6_qt.po
--- 6.0.0-1/poqm/da/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/da/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -356,42 +356,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Ukendt"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nymåne"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Fuldmåne"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Månens første kvartér"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Månens sidste kvartér"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/de/libkholidays6_qt.po 6.3.0-1/poqm/de/libkholidays6_qt.po
--- 6.0.0-1/poqm/de/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/de/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -350,42 +350,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Unbekannt"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Neumond"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Vollmond"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Mond im ersten Viertel"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Mond im letzten Viertel"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Zunehmender Sichelmond"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Zunehmender Mond"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Abnehmender Mond"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Abnehmender Sichelmond"
diff -pruN 6.0.0-1/poqm/el/libkholidays6_qt.po 6.3.0-1/poqm/el/libkholidays6_qt.po
--- 6.0.0-1/poqm/el/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/el/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -357,42 +357,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Άγνωστη"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Νέα Σελήνη"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Πανσέληνος"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Σελήνη Πρώτο Τέταρτο"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Σελήνη Τελευταίο Τέταρτο"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/en_GB/libkholidays6_qt.po 6.3.0-1/poqm/en_GB/libkholidays6_qt.po
--- 6.0.0-1/poqm/en_GB/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/en_GB/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -345,42 +345,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Unknown"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "New Moon"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Full Moon"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "First Quarter Moon"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Last Quarter Moon"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Waxing Crescent"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Waxing Gibbous"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Waning Gibbous"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Waning Crescent"
diff -pruN 6.0.0-1/poqm/eo/libkholidays6_qt.po 6.3.0-1/poqm/eo/libkholidays6_qt.po
--- 6.0.0-1/poqm/eo/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/eo/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -2,7 +2,7 @@
 # Copyright (C) 2009 Free Software Foundation, Inc.
 # This file is distributed under the same license as the kholidays package.
 # Axel Rousseau <axel@esperanto-jeunes.org>, 2009.
-# Oliver Kellogg <okellogg@users.sourceforge.net>, 2023.
+# Oliver Kellogg <olivermkellogg@gmail.com>, 2023.
 #
 msgid ""
 msgstr ""
@@ -10,7 +10,7 @@ msgstr ""
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2015-06-13 09:34+0000\n"
 "PO-Revision-Date: 2023-04-17 19:27+0100\n"
-"Last-Translator: Oliver Kellogg <okellogg@users.sourceforge.net>\n"
+"Last-Translator: Oliver Kellogg <olivermkellogg@gmail.com>\n"
 "Language-Team: esperanto <kde-i18n-eo@kde.org>\n"
 "Language: eo\n"
 "MIME-Version: 1.0\n"
@@ -347,42 +347,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Nekonata"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nova luno"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Plenluno"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Unua kvarona luno"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Lasta kvarona luno"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Veksanta lunarko"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Waxing Gibbous"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Malkreskanta Gibozo"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Malkreskanta lunarko"
diff -pruN 6.0.0-1/poqm/es/libkholidays6_qt.po 6.3.0-1/poqm/es/libkholidays6_qt.po
--- 6.0.0-1/poqm/es/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/es/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -351,42 +351,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Desconocida"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Luna nueva"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Luna llena"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Cuarto creciente"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Cuarto menguante"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Luna creciente"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Creciente gibosa"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Menguante gibosa"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Luna menguante"
diff -pruN 6.0.0-1/poqm/et/libkholidays6_qt.po 6.3.0-1/poqm/et/libkholidays6_qt.po
--- 6.0.0-1/poqm/et/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/et/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -353,42 +353,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Teadmata"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Noorkuu"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Täiskuu"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Esimene veerand"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Viimane veerand"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/eu/libkholidays6_qt.po 6.3.0-1/poqm/eu/libkholidays6_qt.po
--- 6.0.0-1/poqm/eu/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/eu/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -349,42 +349,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Ezezaguna"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Ilargi berria"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Ilargi betea"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Ilargia lehen laurdenean"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Ilargia hirugarren laurdenean"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Ilargierdi gorakorra"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Konkordun gorakorra"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Konkordun beherakorra"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Ilargierdi beherakorra"
diff -pruN 6.0.0-1/poqm/fa/libkholidays6_qt.po 6.3.0-1/poqm/fa/libkholidays6_qt.po
--- 6.0.0-1/poqm/fa/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/fa/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -477,50 +477,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "ناشناخته"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "ماه جدید"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "ماه کامل"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "اولین ربع ماه"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "آخرین ربع ماه"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/fi/libkholidays6_qt.po 6.3.0-1/poqm/fi/libkholidays6_qt.po
--- 6.0.0-1/poqm/fi/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/fi/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -349,42 +349,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Tuntematon"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Uusikuu"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Täysikuu"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Ensimmäisen neljänneksen kuu"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Viimeisen neljänneksen kuu"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Kasvava sirppi"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Kasvava neljännes"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Vähenevä neljännes"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Vähenevä sirppi"
diff -pruN 6.0.0-1/poqm/fr/libkholidays6_qt.po 6.3.0-1/poqm/fr/libkholidays6_qt.po
--- 6.0.0-1/poqm/fr/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/fr/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -352,42 +352,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Inconnu"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nouvelle lune"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Pleine lune"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Premier quartier"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Dernier quartier"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Croisant de lune croissante"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Lune gibbeuse croissante"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Lune gibbeuse décroissante"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Croisant de lune décroissante"
diff -pruN 6.0.0-1/poqm/fy/libkholidays6_qt.po 6.3.0-1/poqm/fy/libkholidays6_qt.po
--- 6.0.0-1/poqm/fy/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/fy/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -353,50 +353,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nije moanne"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Folle moanne"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Earste kertier"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Lêste kertier"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/ga/libkholidays6_qt.po 6.3.0-1/poqm/ga/libkholidays6_qt.po
--- 6.0.0-1/poqm/ga/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ga/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -470,50 +470,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Anaithnid"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Gealach Úr"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Gealach Lán"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Béal Ceathrún"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "An Cheathrú Dheireanach"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/gl/libkholidays6_qt.po 6.3.0-1/poqm/gl/libkholidays6_qt.po
--- 6.0.0-1/poqm/gl/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/gl/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -1,25 +1,25 @@
 # translation of libkholidays.po to Galician
 #
+# SPDX-FileCopyrightText: 2024 Adrián Chaves (Gallaecio)
 # Xabi G. Feal <xabigf@gmx.net>, 2006, 2007.
 # Xosé <xosecalvo@edu.xunta.es>, 2008.
 # marce villarino <mvillarino@users.sourceforge.net>, 2009.
 # Xosé <xosecalvo@gmail.com>, 2010.
 # Adrian Chaves Fernandez <adriyetichaves@gmail.com>, 2013, 2015.
-# Adrián Chaves (Gallaecio) <adrian@chaves.io>, 2023.
 msgid ""
 msgstr ""
 "Project-Id-Version: libkholidays\n"
 "Report-Msgid-Bugs-To: http://bugs.kde.org\n"
 "POT-Creation-Date: 2015-06-13 09:34+0000\n"
-"PO-Revision-Date: 2023-05-01 10:05+0200\n"
+"PO-Revision-Date: 2024-03-02 21:03+0100\n"
 "Last-Translator: Adrián Chaves (Gallaecio) <adrian@chaves.io>\n"
-"Language-Team: Galician <proxecto@trasno.gal>\n"
+"Language-Team: Proxecto Trasno (proxecto@trasno.gal)\n"
 "Language: gl\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=n != 1;\n"
-"X-Generator: Lokalize 23.04.0\n"
+"X-Generator: Lokalize 23.08.5\n"
 "X-Qt-Contexts: true\n"
 
 #: astroseasons.cpp:139
@@ -349,42 +349,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Descoñecido"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Lúa nova"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Lúa chea"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Cuarto crecente"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Cuarto minguante"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Pre-cuarto crecente"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Pre-Lúa chea"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Pre-cuarto minguante"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Pre-Lúa nova"
@@ -397,7 +397,7 @@ msgstr "Aries"
 #: zodiac.cpp:68
 msgctxt "Zodiac|"
 msgid "Taurus"
-msgstr "Tauro"
+msgstr "Taurus"
 
 #: zodiac.cpp:70
 msgctxt "Zodiac|"
diff -pruN 6.0.0-1/poqm/he/libkholidays6_qt.po 6.3.0-1/poqm/he/libkholidays6_qt.po
--- 6.0.0-1/poqm/he/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/he/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -345,42 +345,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "לא ידוע"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "ירח חדש"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "ירח מלא"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "רבע ראשון של הירח"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "רבע אחרון של הירח"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "חרמש מתמלא ראשון"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "חרמש מתמלא שני"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "חרמש נחסר ראשון"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "חרמש נחסר שני"
diff -pruN 6.0.0-1/poqm/hi/libkholidays6_qt.po 6.3.0-1/poqm/hi/libkholidays6_qt.po
--- 6.0.0-1/poqm/hi/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/hi/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -352,42 +352,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "अज्ञात"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "अमावस्या"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "पूर्णिमा"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "अर्धचंद्र"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "अर्धचंद्र"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/hne/libkholidays6_qt.po 6.3.0-1/poqm/hne/libkholidays6_qt.po
--- 6.0.0-1/poqm/hne/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/hne/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -361,50 +361,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "चन्द्रोदय"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "पूर्निमा"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "पहिली चौथाई चन्द्रमा"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "आखरी चौथाई चन्द्रमा"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/hu/libkholidays6_qt.po 6.3.0-1/poqm/hu/libkholidays6_qt.po
--- 6.0.0-1/poqm/hu/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/hu/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -346,42 +346,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Ismeretlen"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Újhold"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Holdtölte"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Első negyed"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Utolsó negyed"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Növekvő holdsarló"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Növekvő félhold"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Fogyó félhold"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Fogyó holdsarló"
diff -pruN 6.0.0-1/poqm/ia/libkholidays6_qt.po 6.3.0-1/poqm/ia/libkholidays6_qt.po
--- 6.0.0-1/poqm/ia/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ia/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -340,42 +340,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Incognite"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nove Luna"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Luna Plen"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Prime quarto de Luna"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Ultime quarto de luna"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Medie Luna crescente"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Luna Crescente"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Luna descendente"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Medie Luna descendente"
diff -pruN 6.0.0-1/poqm/id/libkholidays6_qt.po 6.3.0-1/poqm/id/libkholidays6_qt.po
--- 6.0.0-1/poqm/id/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/id/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -345,42 +345,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Tak diketahui"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Rembulan Mati"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Rembulan Purnama"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Rembulan Kuartal Pertama"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Rembulan Kuartal Terakhir"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/is/libkholidays6_qt.po 6.3.0-1/poqm/is/libkholidays6_qt.po
--- 6.0.0-1/poqm/is/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/is/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -344,42 +344,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Óþekkt"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nýtt tungl"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Fullt tungl"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Fyrst kvartil"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Síðasta kvartil"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Tungl kviknar"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Tungl fyllist"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Minnkandi tungl"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Hverfandi tungl"
diff -pruN 6.0.0-1/poqm/it/libkholidays6_qt.po 6.3.0-1/poqm/it/libkholidays6_qt.po
--- 6.0.0-1/poqm/it/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/it/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -346,42 +346,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Sconosciuta"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Luna nuova"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Luna piena"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Primo quarto di luna"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Ultimo quarto di luna"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Falce crescente"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Gibbosa crescente"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Gibbosa calante"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Falce calante"
diff -pruN 6.0.0-1/poqm/ja/libkholidays6_qt.po 6.3.0-1/poqm/ja/libkholidays6_qt.po
--- 6.0.0-1/poqm/ja/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ja/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -374,50 +374,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "新月"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "満月"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "上弦の月"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "下弦の月"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/ka/libkholidays6_qt.po 6.3.0-1/poqm/ka/libkholidays6_qt.po
--- 6.0.0-1/poqm/ka/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ka/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -340,42 +340,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "უცნობი"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "ახალი მთვარე"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "სრული მთვარე"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "მთვარის პირველი მეოთხედი"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "მთვარის ბოლო მეოთხედი"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "ნახევარმთვარე"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "მეორე მეოთხედი"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "მესამე მეოთხედი"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "მეოთხე მეოთხედი"
diff -pruN 6.0.0-1/poqm/kk/libkholidays6_qt.po 6.3.0-1/poqm/kk/libkholidays6_qt.po
--- 6.0.0-1/poqm/kk/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/kk/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -475,50 +475,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Беймәлім"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Жаңа ай"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Толық ай"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Айдың бірінші ширегі"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Айдың соңғы ширегі"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/km/libkholidays6_qt.po 6.3.0-1/poqm/km/libkholidays6_qt.po
--- 6.0.0-1/poqm/km/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/km/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -480,50 +480,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "មិន​ស្គាល់​​"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "ព្រះ​ច័ន្ទ​ថ្មី"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "ព្រះច័ន្ទ​ពេញ​វង់​"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "ចំណិត​ដំបូង​នៃ​ព្រះច័ន្ទ"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "ចំណិត​ចុង​ក្រោយ​នៃ​ព្រះច័ន្ទ​"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/ko/libkholidays6_qt.po 6.3.0-1/poqm/ko/libkholidays6_qt.po
--- 6.0.0-1/poqm/ko/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ko/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -345,42 +345,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "알 수 없음"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "신월"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "보름달"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "상현 반달"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "하현 반달"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "초승달"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "상현달"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "하현달"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "그믐달"
diff -pruN 6.0.0-1/poqm/lt/libkholidays6_qt.po 6.3.0-1/poqm/lt/libkholidays6_qt.po
--- 6.0.0-1/poqm/lt/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/lt/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -347,42 +347,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Nežinomos"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Jaunatis (Naujas mėnulis)"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Pilnatis (Pilnas mėnulis)"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Priešpilnis (Pirmo ketvirčio mėnulis)"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Delčia (Paskutinio ketvirčio mėnulis)"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Jaunatis (Pilnėjantis pusmėnulis)"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Priešpilnis (Pilnėjantis kuprotas mėnulis)"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Pilnatis (Dylantis kuprotas mėnulis)"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Delčia (Dylantis mėnulis)"
diff -pruN 6.0.0-1/poqm/lv/libkholidays6_qt.po 6.3.0-1/poqm/lv/libkholidays6_qt.po
--- 6.0.0-1/poqm/lv/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/lv/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -350,42 +350,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Nezināma"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Jaunmēness"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Pilnmēness"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Mēness pirmajā ceturksnī"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Mēness pēdējā ceturksnī"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Augošs Mēness sirpis"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Augošs nepilns Mēness"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Dilstošs nepilns Mēness"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Dilstošs Mēness sirpis"
diff -pruN 6.0.0-1/poqm/mk/libkholidays6_qt.po 6.3.0-1/poqm/mk/libkholidays6_qt.po
--- 6.0.0-1/poqm/mk/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/mk/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -355,50 +355,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Млада месечина"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Полан месечина"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Прва четвртина месечина"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Последна четвртина месечина"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/ml/libkholidays6_qt.po 6.3.0-1/poqm/ml/libkholidays6_qt.po
--- 6.0.0-1/poqm/ml/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ml/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -338,42 +338,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr ""
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr ""
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/mr/libkholidays6_qt.po 6.3.0-1/poqm/mr/libkholidays6_qt.po
--- 6.0.0-1/poqm/mr/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/mr/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -378,42 +378,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "अपरिचीत"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr ""
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr ""
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/ms/libkholidays6_qt.po 6.3.0-1/poqm/ms/libkholidays6_qt.po
--- 6.0.0-1/poqm/ms/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ms/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -351,50 +351,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Bulan Baru"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Bulan Penuh"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Suku Bulan Pertama"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Suku Bulan Terakhir"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/nb/libkholidays6_qt.po 6.3.0-1/poqm/nb/libkholidays6_qt.po
--- 6.0.0-1/poqm/nb/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/nb/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -348,42 +348,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Ukjent"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nymåne"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Fullmåne"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Ny, halvmåne"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Ne, halvmåne"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/nds/libkholidays6_qt.po 6.3.0-1/poqm/nds/libkholidays6_qt.po
--- 6.0.0-1/poqm/nds/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/nds/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -497,50 +497,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Nich begäng"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Niegmaand"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Vullmaand"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Tonehmen Halfmaand"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Afnehmen Halfmaand"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/ne/libkholidays6_qt.po 6.3.0-1/poqm/ne/libkholidays6_qt.po
--- 6.0.0-1/poqm/ne/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ne/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -351,50 +351,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "नयाँ चन्द्रमा"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "पूर्णिमा"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "पहिलो चौथाइ चन्द्रमा"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "अन्तिम चौथाइ चन्द्रमा"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/nl/libkholidays6_qt.po 6.3.0-1/poqm/nl/libkholidays6_qt.po
--- 6.0.0-1/poqm/nl/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/nl/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -345,42 +345,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Onbekend"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nieuwe maan"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Volle maan"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Eerste kwartier"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Laatste kwartier"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Wassende maan"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Wassende maan"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Afnemende maan"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Afnemende maan"
diff -pruN 6.0.0-1/poqm/nn/libkholidays6_qt.po 6.3.0-1/poqm/nn/libkholidays6_qt.po
--- 6.0.0-1/poqm/nn/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/nn/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -349,42 +349,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Ukjend"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nymåne"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Fullmåne"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Ny, halvmåne"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Ne, halvmåne"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Veksande månesigd"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Veksande måne"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Minkande måne"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Minkande månesigd"
diff -pruN 6.0.0-1/poqm/pa/libkholidays6_qt.po 6.3.0-1/poqm/pa/libkholidays6_qt.po
--- 6.0.0-1/poqm/pa/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/pa/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -345,46 +345,46 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "ਨਵਾਂ ਚੰਦ"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "ਪੂਰਾ ਚੰਦ"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/pl/libkholidays6_qt.po 6.3.0-1/poqm/pl/libkholidays6_qt.po
--- 6.0.0-1/poqm/pl/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/pl/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -16,7 +16,6 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 "
 "|| n%100>=20) ? 1 : 2);\n"
-"X-Generator: Lokalize 22.08.1\n"
 "X-Qt-Contexts: true\n"
 
 #: astroseasons.cpp:139
@@ -346,42 +345,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Nieznany"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nów"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Pełnia"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Pierwsza kwadra Księżyca"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Ostatnia kwadra Księżyca"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Przybywający Księżyc Sierpowaty"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Przybywający Księżyc Garbaty"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Ubywający Księżyc Garbaty"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Ubywający Księżyc Sierpowaty"
diff -pruN 6.0.0-1/poqm/pt/libkholidays6_qt.po 6.3.0-1/poqm/pt/libkholidays6_qt.po
--- 6.0.0-1/poqm/pt/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/pt/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -344,42 +344,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Desconhecida"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Lua Nova"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Lua Cheia"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Primeiro Quarto de Lua"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Último Quarto de Lua"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Quarto Crescente"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Minguante-Crescente"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Crescente-Minguante"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Quarto Minguante"
diff -pruN 6.0.0-1/poqm/pt_BR/libkholidays6_qt.po 6.3.0-1/poqm/pt_BR/libkholidays6_qt.po
--- 6.0.0-1/poqm/pt_BR/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/pt_BR/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -349,42 +349,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Desconhecida"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Lua nova"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Lua cheia"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Lua crescente"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Lua minguante"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Quase quarto crescente"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Quase lua cheia"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Quase quarto minguante"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Quase lua nova"
diff -pruN 6.0.0-1/poqm/ro/libkholidays6_qt.po 6.3.0-1/poqm/ro/libkholidays6_qt.po
--- 6.0.0-1/poqm/ro/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ro/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -354,42 +354,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Necunoscută"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Lună nouă"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Lună plină"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Primul pătrar"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Ultimul pătrar"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/ru/libkholidays6_qt.po 6.3.0-1/poqm/ru/libkholidays6_qt.po
--- 6.0.0-1/poqm/ru/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ru/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -357,42 +357,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Неизвестный"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Новолуние"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Полнолуние"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Первая четверть Луны"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Последняя четверть Луны"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Растущий серп Луны"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Растущая выпуклая Луна"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Ущербная Луна"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Убывающий серп Луны"
diff -pruN 6.0.0-1/poqm/se/libkholidays6_qt.po 6.3.0-1/poqm/se/libkholidays6_qt.po
--- 6.0.0-1/poqm/se/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/se/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -347,42 +347,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr ""
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr ""
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/sk/libkholidays6_qt.po 6.3.0-1/poqm/sk/libkholidays6_qt.po
--- 6.0.0-1/poqm/sk/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/sk/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -344,42 +344,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Neznáme"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nov"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Spln"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Prvá štvrť"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Posledná štvrť"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Dorastajúci kosáčik"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Dorastajúci Mesiac"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Cúvajúci Mesiac"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Cúvajúci kosáčik"
diff -pruN 6.0.0-1/poqm/sl/libkholidays6_qt.po 6.3.0-1/poqm/sl/libkholidays6_qt.po
--- 6.0.0-1/poqm/sl/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/sl/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -351,42 +351,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Neznani"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Mlaj"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Ščip"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Prvi krajec"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Zadnji krajec"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Mlada luna"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Skoraj polna luna"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Pretekla polna luna"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Stara luna"
diff -pruN 6.0.0-1/poqm/sq/libkholidays6_qt.po 6.3.0-1/poqm/sq/libkholidays6_qt.po
--- 6.0.0-1/poqm/sq/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/sq/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -358,50 +358,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Hëna e re"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Hëna e plotë"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Qereku i parë i hënës"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Qereku i fundit i hënës"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/sr/libkholidays6_qt.po 6.3.0-1/poqm/sr/libkholidays6_qt.po
--- 6.0.0-1/poqm/sr/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/sr/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -353,42 +353,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "непознато"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "млади месец"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "пуни месец"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "прва четврт"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "последња четврт"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/sr@ijekavian/libkholidays6_qt.po 6.3.0-1/poqm/sr@ijekavian/libkholidays6_qt.po
--- 6.0.0-1/poqm/sr@ijekavian/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/sr@ijekavian/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -353,42 +353,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "непознато"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "млади мјесец"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "пуни мјесец"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "прва четврт"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "посљедња четврт"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/sr@ijekavianlatin/libkholidays6_qt.po 6.3.0-1/poqm/sr@ijekavianlatin/libkholidays6_qt.po
--- 6.0.0-1/poqm/sr@ijekavianlatin/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/sr@ijekavianlatin/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -353,42 +353,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "nepoznato"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "mladi mjesec"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "puni mjesec"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "prva četvrt"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "posljednja četvrt"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/sr@latin/libkholidays6_qt.po 6.3.0-1/poqm/sr@latin/libkholidays6_qt.po
--- 6.0.0-1/poqm/sr@latin/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/sr@latin/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -353,42 +353,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "nepoznato"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "mladi mesec"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "puni mesec"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "prva četvrt"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "poslednja četvrt"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/sv/libkholidays6_qt.po 6.3.0-1/poqm/sv/libkholidays6_qt.po
--- 6.0.0-1/poqm/sv/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/sv/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -340,42 +340,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Okänd"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Nymåne"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Fullmåne"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Måne i första kvarteret"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Måne i sista kvarteret"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Tilltagande skära"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Tilltagande kullrig"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Avtagande kullrig"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Avtagande skära"
diff -pruN 6.0.0-1/poqm/ta/libkholidays6_qt.po 6.3.0-1/poqm/ta/libkholidays6_qt.po
--- 6.0.0-1/poqm/ta/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ta/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -351,48 +351,48 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "அமாவாசை"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "பௌர்ணமி"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "முதல் கால்பகுதி நிலவு"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "கடைசி கால்பகுதி நிலவு"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/tg/libkholidays6_qt.po 6.3.0-1/poqm/tg/libkholidays6_qt.po
--- 6.0.0-1/poqm/tg/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/tg/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -346,42 +346,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Номаълум"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Моҳи нав"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Моҳи пурра"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Моҳи чоряки якум"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Моҳи чоряки охирон"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/th/libkholidays6_qt.po 6.3.0-1/poqm/th/libkholidays6_qt.po
--- 6.0.0-1/poqm/th/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/th/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -361,50 +361,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "ขึ้น 1 ค่ำ"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "วันเพ็ญ"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "ขึ้น 8 ค่ำ"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "แรม 8 ค่ำ"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/tr/libkholidays6_qt.po 6.3.0-1/poqm/tr/libkholidays6_qt.po
--- 6.0.0-1/poqm/tr/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/tr/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -350,42 +350,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Bilinmeyen"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Yeniay"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Dolunay"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "İlkdördün"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Sondördün"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Yükselen Hilal"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Büyüyen Şişkin Ay"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Küçülen Şişkin Ay"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Azalan Hilal"
diff -pruN 6.0.0-1/poqm/ug/libkholidays6_qt.po 6.3.0-1/poqm/ug/libkholidays6_qt.po
--- 6.0.0-1/poqm/ug/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/ug/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -427,46 +427,46 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "نامەلۇم"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "يېڭى ئاي"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "تولۇن ئاي"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr ""
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/uk/libkholidays6_qt.po 6.3.0-1/poqm/uk/libkholidays6_qt.po
--- 6.0.0-1/poqm/uk/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/uk/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -350,42 +350,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Невідомий"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Новий місяць"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Повний місяць"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Перша чверть місяця"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Остання чверть місяця"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "Зростаючий півмісяць"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "Зростаючий опуклий місяць"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "Спадний опуклий місяць"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "Спадний півмісяць"
diff -pruN 6.0.0-1/poqm/uz/libkholidays6_qt.po 6.3.0-1/poqm/uz/libkholidays6_qt.po
--- 6.0.0-1/poqm/uz/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/uz/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -353,50 +353,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Yangi oy"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Toʻliq oy"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Oyning birinchi choragi"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Oyning oxirgi choragi"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/uz@cyrillic/libkholidays6_qt.po 6.3.0-1/poqm/uz@cyrillic/libkholidays6_qt.po
--- 6.0.0-1/poqm/uz@cyrillic/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/uz@cyrillic/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -353,50 +353,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr ""
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Янги ой"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Тўлиқ ой"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Ойнинг биринчи чораги"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Ойнинг охирги чораги"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/wa/libkholidays6_qt.po 6.3.0-1/poqm/wa/libkholidays6_qt.po
--- 6.0.0-1/poqm/wa/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/wa/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -469,50 +469,50 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "Nén cnoxhou"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 #, fuzzy
 #| msgid "New Moon"
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "Novele lune"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 #, fuzzy
 #| msgid "Full Moon"
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "Plinne lune"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 #, fuzzy
 #| msgid "First Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "Prumî cwårtî del lune"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 #, fuzzy
 #| msgid "Last Quarter Moon"
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "Dierin cwårtî del lune"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr ""
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr ""
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr ""
diff -pruN 6.0.0-1/poqm/zh_CN/libkholidays6_qt.po 6.3.0-1/poqm/zh_CN/libkholidays6_qt.po
--- 6.0.0-1/poqm/zh_CN/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/zh_CN/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -1,7 +1,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: kdeorg\n"
-"PO-Revision-Date: 2024-02-05 11:37\n"
+"PO-Revision-Date: 2024-04-22 15:58\n"
 "Language-Team: Chinese Simplified\n"
 "Language: zh_CN\n"
 "MIME-Version: 1.0\n"
@@ -58,72 +58,72 @@ msgstr "魁北克"
 #: holidayregion.cpp:203
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Bavaria"
-msgstr "德国巴伐利亚"
+msgstr "德国，巴伐利亚"
 
 #: holidayregion.cpp:205
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Brandenburg"
-msgstr "德国勃兰登堡"
+msgstr "德国，勃兰登堡"
 
 #: holidayregion.cpp:207
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Berlin"
-msgstr "德国柏林"
+msgstr "德国，柏林"
 
 #: holidayregion.cpp:209
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Baden-Wuerttemberg"
-msgstr "德国巴登-符腾堡"
+msgstr "德国，巴登-符腾堡"
 
 #: holidayregion.cpp:211
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Hesse"
-msgstr "德国黑森"
+msgstr "德国，黑森"
 
 #: holidayregion.cpp:213
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Mecklenburg-Hither Pomerania"
-msgstr "德国梅克伦堡-前波美拉尼亚"
+msgstr "德国，梅克伦堡-前波美拉尼亚"
 
 #: holidayregion.cpp:215
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Lower Saxony"
-msgstr "德国下萨克森"
+msgstr "德国，下萨克森"
 
 #: holidayregion.cpp:217
 msgctxt "HolidayRegion|German region"
 msgid "Germany, North Rhine-Westphalia"
-msgstr "德国北莱茵-威斯特法伦"
+msgstr "德国，北莱茵-威斯特法伦"
 
 #: holidayregion.cpp:219
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Rhineland-Palatinate"
-msgstr "德国莱茵兰-普法尔茨"
+msgstr "德国，莱茵兰-普法尔茨"
 
 #: holidayregion.cpp:221
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Schleswig-Holstein"
-msgstr "德国石勒苏益格-荷尔斯泰因"
+msgstr "德国，石勒苏益格-荷尔斯泰因"
 
 #: holidayregion.cpp:223
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Saarland"
-msgstr "德国萨尔兰"
+msgstr "德国，萨尔兰"
 
 #: holidayregion.cpp:225
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Saxony"
-msgstr "德国萨克森"
+msgstr "德国，萨克森"
 
 #: holidayregion.cpp:227
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Saxony-Anhalt"
-msgstr "德国萨克森-安哈尔特"
+msgstr "德国，萨克森-安哈尔特"
 
 #: holidayregion.cpp:229
 msgctxt "HolidayRegion|German region"
 msgid "Germany, Thuringia"
-msgstr "德国图林根"
+msgstr "德国，图林根"
 
 #: holidayregion.cpp:232
 msgctxt "HolidayRegion|Spanish region"
@@ -203,17 +203,17 @@ msgstr "塔斯马尼亚"
 #: holidayregion.cpp:262
 msgctxt "HolidayRegion|Bosnian and Herzegovinian Region"
 msgid "Republic of Srpska"
-msgstr "塞尔维亚共和国"
+msgstr "塞族共和国"
 
 #: holidayregion.cpp:280
 msgctxt "HolidayRegion|Holiday type"
 msgid "Public"
-msgstr "公开"
+msgstr "公共"
 
 #: holidayregion.cpp:282
 msgctxt "HolidayRegion|Holiday type"
 msgid "Civil"
-msgstr "民用"
+msgstr "民间"
 
 #: holidayregion.cpp:284
 msgctxt "HolidayRegion|Holiday type"
@@ -238,12 +238,12 @@ msgstr "文化"
 #: holidayregion.cpp:292
 msgctxt "HolidayRegion|Holiday type"
 msgid "Commemorative"
-msgstr "纪念日"
+msgstr "纪念"
 
 #: holidayregion.cpp:294
 msgctxt "HolidayRegion|Holiday type"
 msgid "Historical"
-msgstr "Historical"
+msgstr "历史"
 
 #: holidayregion.cpp:296
 msgctxt "HolidayRegion|Holiday type"
@@ -342,42 +342,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "未知"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "新月"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "满月"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "上弦月"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "下弦月"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "眉月"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "盈凸月"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "亏凸月"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "残月"
diff -pruN 6.0.0-1/poqm/zh_TW/libkholidays6_qt.po 6.3.0-1/poqm/zh_TW/libkholidays6_qt.po
--- 6.0.0-1/poqm/zh_TW/libkholidays6_qt.po	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/poqm/zh_TW/libkholidays6_qt.po	2024-05-31 13:25:36.000000000 +0000
@@ -349,42 +349,42 @@ msgctxt "HolidayRegion|Unknown holiday r
 msgid "Unknown"
 msgstr "未知"
 
-#: lunarphase.cpp:26
+#: lunarphase.cpp:28
 msgctxt "LunarPhase|"
 msgid "New Moon"
 msgstr "新月"
 
-#: lunarphase.cpp:28
+#: lunarphase.cpp:30
 msgctxt "LunarPhase|"
 msgid "Full Moon"
 msgstr "滿月"
 
-#: lunarphase.cpp:30
+#: lunarphase.cpp:32
 msgctxt "LunarPhase|"
 msgid "First Quarter Moon"
 msgstr "上弦月"
 
-#: lunarphase.cpp:32
+#: lunarphase.cpp:34
 msgctxt "LunarPhase|"
 msgid "Last Quarter Moon"
 msgstr "下弦月"
 
-#: lunarphase.cpp:36
+#: lunarphase.cpp:38
 msgctxt "LunarPhase|"
 msgid "Waxing Crescent"
 msgstr "眉月"
 
-#: lunarphase.cpp:38
+#: lunarphase.cpp:40
 msgctxt "LunarPhase|"
 msgid "Waxing Gibbous"
 msgstr "上凸月"
 
-#: lunarphase.cpp:40
+#: lunarphase.cpp:42
 msgctxt "LunarPhase|"
 msgid "Waning Gibbous"
 msgstr "下凸月"
 
-#: lunarphase.cpp:42
+#: lunarphase.cpp:44
 msgctxt "LunarPhase|"
 msgid "Waning Crescent"
 msgstr "殘月"
diff -pruN 6.0.0-1/src/CMakeLists.txt 6.3.0-1/src/CMakeLists.txt
--- 6.0.0-1/src/CMakeLists.txt	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/src/CMakeLists.txt	2024-05-31 13:25:36.000000000 +0000
@@ -29,7 +29,6 @@ target_sources(KF6Holidays PRIVATE
     parsers/qcalendarsystem_p.h
     sunriseset.cpp
     sunriseset.h
-    util.h
     zodiac.cpp
     zodiac.h
 
diff -pruN 6.0.0-1/src/astroseasons.cpp 6.3.0-1/src/astroseasons.cpp
--- 6.0.0-1/src/astroseasons.cpp	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/src/astroseasons.cpp	2024-05-31 13:25:36.000000000 +0000
@@ -20,11 +20,11 @@ using namespace KHolidays;
 /* Correction tables and calculation algorithms below are based on the book
  * Astronomical Algorithms by Jean Meeus, (c) 1991 by Willman-Bell, Inc.,
  *
- * The correction tables are precise for years -1000 to +3000 but according
- * to the book they can be used for several centuries before and after that
+ * The correction tables are precise for years -1000 to +3000, but according
+ * to the book, they can be used for several centuries before and after that
  * period with the error still being quite small. As we only care about date
  * and not the time, the precision of the algorithm is good enough even for
- * greater time span, therefore no checks for the given year are performed
+ * a greater time span, therefore no checks for the given year are performed
  * anywhere in the code.
  */
 namespace
diff -pruN 6.0.0-1/src/declarative/holidayregionsmodel.cpp 6.3.0-1/src/declarative/holidayregionsmodel.cpp
--- 6.0.0-1/src/declarative/holidayregionsmodel.cpp	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/src/declarative/holidayregionsmodel.cpp	2024-05-31 13:25:36.000000000 +0000
@@ -21,9 +21,9 @@ HolidayRegionsDeclarativeModel::HolidayR
     , d(new Private())
 {
     d->regionCodes = KHolidays::HolidayRegion::regionCodes();
-    // Make sure we don't add the same regions twice
-    // This can happen if two copies of the data exists
-    // in the system and both are read by KHolidays
+    // Make sure we don't add the same regions twice.
+    // This can happen if two copies of the data exist
+    // in the system and both are read by KHolidays.
     d->regionCodes.removeDuplicates();
 }
 
diff -pruN 6.0.0-1/src/holidayregion.cpp 6.3.0-1/src/holidayregion.cpp
--- 6.0.0-1/src/holidayregion.cpp	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/src/holidayregion.cpp	2024-05-31 13:25:36.000000000 +0000
@@ -270,7 +270,7 @@ QString HolidayRegion::name() const
             }
         }
 
-        // Cheat on type for now,take direct from region code until API is introduced in SC 4.6
+        // Cheat on type for now, take direct from region code until API is introduced in SC 4.6
         QStringList regionParts = regionCode().toLower().split(QLatin1Char('_'));
         if (regionParts.count() == 3) {
             const QString &type = regionParts.at(2);
@@ -452,14 +452,14 @@ static bool maybeCountry(QStringView hol
 
 QString HolidayRegion::defaultRegionCode(const QString &country, const QString &language)
 {
-    // Try to match against the users country and language, or failing that the language country.
-    // Scan through all the regions finding the first match for each possible default
+    // Try to match against the user's country and language, or failing that the language country.
+    // Scan through all the regions finding the first match for each possible default.
     // Holiday Region Country Code can be a country subdivision or the country itself,
-    // e.g. US or US-CA for California, so we can try match on both but an exact match has priority
+    // e.g. US or US-CA for California, so we can try match on both but an exact match has priority.
     // The Holiday Region file is in one language only, so give priority to any file in the
-    // users language, e.g. bilingual countries with a separate file for each language
-    // Locale language can have a country code embedded in it e.g. en_GB, which we can try use if
-    // no country set, but a lot of countries use en_GB so it's a lower priority option
+    // user's language, e.g. bilingual countries with a separate file for each language.
+    // Locale language can have a country code embedded in it e.g. en_GB, which we can try to use if
+    // no country is set, but a lot of countries use en_GB so it's a lower priority option.
 
     QString localeCountry;
     QString localeSubdivision;
diff -pruN 6.0.0-1/src/lunarphase.cpp 6.3.0-1/src/lunarphase.cpp
--- 6.0.0-1/src/lunarphase.cpp	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/src/lunarphase.cpp	2024-05-31 13:25:36.000000000 +0000
@@ -12,6 +12,8 @@
 #include <QDateTime>
 #include <QTimeZone>
 
+#include <numbers>
+
 using namespace KHolidays;
 
 QString LunarPhase::phaseNameAtDate(const QDate &date)
@@ -95,8 +97,6 @@ static const double ecPrefactor = sqrt((
 constexpr double mmlong = 64.975464; // mean longitude of moon at epoch
 constexpr double mmlongp = 349.383063; // mean longitude of moon at perigee
 
-constexpr double PI = 3.14159265358979323846;
-
 static double fixAngle(double degrees)
 {
     return degrees - floor(degrees / 360.0) * 360.0;
@@ -104,12 +104,12 @@ static double fixAngle(double degrees)
 
 static constexpr double radToDeg(double rad)
 {
-    return rad / PI * 180.0;
+    return rad / std::numbers::pi * 180.0;
 }
 
 static constexpr double degToRad(double deg)
 {
-    return deg / 180.0 * PI;
+    return deg / 180.0 * std::numbers::pi;
 }
 
 constexpr double epsilon = 1e-6;
diff -pruN 6.0.0-1/src/parsers/plan2/FlexLexer.h 6.3.0-1/src/parsers/plan2/FlexLexer.h
--- 6.0.0-1/src/parsers/plan2/FlexLexer.h	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/src/parsers/plan2/FlexLexer.h	2024-05-31 13:25:36.000000000 +0000
@@ -157,14 +157,14 @@ protected:
     // Number of characters read into yy_ch_buf.
     int yy_n_chars;
 
-    // Points to current character in buffer.
+    // Points to the current character in buffer.
     char *yy_c_buf_p;
 
     int yy_init; // whether we need to initialize
     int yy_start; // start state number
 
     // Flag which is used to allow yywrap()'s to do buffer switches
-    // instead of setting up a fresh yyin.  A bit of a hack ...
+    // instead of setting up a fresh yyin. A bit of a hack ...
     int yy_did_buffer_switch_on_eof;
 
     size_t yy_buffer_stack_top; /**< index of top of stack. */
diff -pruN 6.0.0-1/src/parsers/qcalendarsystem.cpp 6.3.0-1/src/parsers/qcalendarsystem.cpp
--- 6.0.0-1/src/parsers/qcalendarsystem.cpp	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/src/parsers/qcalendarsystem.cpp	2024-05-31 13:25:36.000000000 +0000
@@ -342,8 +342,8 @@ bool QCalendarSystemPrivate::isLeapYear(
 {
     year = year + yearOffset();
 
-    // Uses same rule as Gregorian and in same years as Gregorian to keep in sync
-    // Can't use yearOffset() as this offset only applies for isLeapYear()
+    // Uses same rule as Gregorian and in same years as Gregorian to keep in sync.
+    // Can't use yearOffset() as this offset only applies for isLeapYear().
     if (calendarSystem() == QCalendarSystem::IndianNationalCalendar) {
         year = year + 78;
     }
@@ -1107,7 +1107,7 @@ int QCalendarSystem::monthsDifference(co
     d->julianDayToDate(fromDate.toJulianDay(), &y1, &m1, &d1);
     d->julianDayToDate(toDate.toJulianDay(), &y2, &m2, &d2);
 
-    // Calculate number of months in full years preceding y2
+    // Calculate the number of months in full years preceding y2.
     if (y2 == y1) {
         my = 0;
     } else if (d->hasLeapMonths()) {
diff -pruN 6.0.0-1/src/sunriseset.cpp 6.3.0-1/src/sunriseset.cpp
--- 6.0.0-1/src/sunriseset.cpp	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/src/sunriseset.cpp	2024-05-31 13:25:36.000000000 +0000
@@ -10,8 +10,10 @@
 */
 
 #include "sunriseset.h"
-#include "util.h"
+
 #include <cmath>
+#include <numbers>
+
 static const double MaxLat = 89.99;
 static const double MaxLong = 179.99;
 
@@ -20,12 +22,12 @@ using namespace SunRiseSet;
 
 static double degToRad(double degree)
 {
-    return (degree * PI) / 180.00;
+    return (degree * std::numbers::pi) / 180.00;
 }
 
 static double radToDeg(double rad)
 {
-    return (rad * 180.0) / PI;
+    return (rad * 180.0) / std::numbers::pi;
 }
 
 // convert Julian Day to centuries since J2000.0.
@@ -182,7 +184,7 @@ static QTime calcSunEvent(const QDate &d
     QTime timeUTC(0, 0);
     timeUTC = timeUTC.addSecs((720 - (4.0 * delta) - eqTime) * 60);
 
-    // round to nearest minute
+    // round to the nearest minute
     if (timeUTC.second() > 29) {
         return QTime(timeUTC.hour(), timeUTC.minute()).addSecs(60);
     }
diff -pruN 6.0.0-1/src/util.h 6.3.0-1/src/util.h
--- 6.0.0-1/src/util.h	2024-02-21 11:25:04.000000000 +0000
+++ 6.3.0-1/src/util.h	1970-01-01 00:00:00.000000000 +0000
@@ -1,9 +0,0 @@
-/*
-    This file is part of the kholidays library.
-
-    SPDX-FileCopyrightText: 2021 Laurent Montel <montel@kde.org>
-
-    SPDX-License-Identifier: LGPL-2.0-or-later
-*/
-#pragma once
-static const double PI = 3.14159265358979323846;
